> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.alphax.asia/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.alphax.asia/_mcp/server.

# Account letter PDF

GET https://public-api.alphax.com/v1/payment-routes/{routeId}/account-letter

Written confirmation that the route's deposit account belongs to the
company — banks and counterparties commonly ask for this.


Reference: https://docs.alphax.asia/api-reference/swap-api/payment-routes/get-payment-route-account-letter

## Authentication

- `X-API-Key` header (required) — Your partner API key.

## Servers

- `https://public-api.alphax.com` (Production server, default)
- `https://public-api.demo.alphax.asia` (Staging (sandbox) server)

## Request

### Path parameters

- `routeId` (string, required) — A payment route ULID.

### Headers

- `X-Company-Id` (string, required) — The company you are acting for (a company ULID).

## Response

### 200

OK

- `url` (string, optional) — A short-lived link to the generated PDF.

## Examples

**Response**

```json
{
  "url": "https://files.alphax.asia/payment-instructions/01KZ2RT4.pdf"
}
```

**SDK Code**

```python
import requests

url = "https://public-api.alphax.com/v1/payment-routes/01KZ2RT4Q8N7YB3D5F6G7H8J9K/account-letter"

headers = {
    "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
    "X-API-Key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://public-api.alphax.com/v1/payment-routes/01KZ2RT4Q8N7YB3D5F6G7H8J9K/account-letter';
const options = {
  method: 'GET',
  headers: {'X-Company-Id': '01KZ2WJKWVFPCVAB6MY106QRZV', 'X-API-Key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://public-api.alphax.com/v1/payment-routes/01KZ2RT4Q8N7YB3D5F6G7H8J9K/account-letter"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://public-api.alphax.com/v1/payment-routes/01KZ2RT4Q8N7YB3D5F6G7H8J9K/account-letter")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Company-Id"] = '01KZ2WJKWVFPCVAB6MY106QRZV'
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://public-api.alphax.com/v1/payment-routes/01KZ2RT4Q8N7YB3D5F6G7H8J9K/account-letter")
  .header("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://public-api.alphax.com/v1/payment-routes/01KZ2RT4Q8N7YB3D5F6G7H8J9K/account-letter', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
    'X-Company-Id' => '01KZ2WJKWVFPCVAB6MY106QRZV',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://public-api.alphax.com/v1/payment-routes/01KZ2RT4Q8N7YB3D5F6G7H8J9K/account-letter");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV");
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
  "X-API-Key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://public-api.alphax.com/v1/payment-routes/01KZ2RT4Q8N7YB3D5F6G7H8J9K/account-letter")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```